Intermittent browser/components/extensions/test/browser/browser_ext_sidebarAction.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

RESOLVED FIXED in Firefox 56

Status

P1
critical
RESOLVED FIXED
2 years ago
5 months ago

People

(Reporter: aryx, Assigned: Gijs)

Tracking

({intermittent-failure})

unspecified
mozilla56
intermittent-failure

Firefox Tracking Flags

(firefox56 fixed)

Details

Attachments

(1 attachment)

+++ This bug was initially created as a clone of Bug #1339739 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=104785342&repo=mozilla-inbound

[task 2017-06-06T06:38:29.783250Z] 06:38:29     INFO - GECKO(1104) | ++DOCSHELL 0xb7bcc400 == 15 [pid = 1104] [id = {3f81dcfb-bf36-4c8d-b227-9fa87fc4be57}]
[task 2017-06-06T06:38:29.790831Z] 06:38:29     INFO - GECKO(1104) | ++DOMWINDOW == 58 (0xb8348400) [pid = 1104] [serial = 1865] [outer = (nil)]
[task 2017-06-06T06:38:29.902682Z] 06:38:29     INFO - GECKO(1104) | ++DOMWINDOW == 59 (0xb8433c00) [pid = 1104] [serial = 1866] [outer = 0xb8348400]
[task 2017-06-06T06:38:30.246438Z] 06:38:30     INFO - GECKO(1104) | ++DOMWINDOW == 60 (0xb843bc00) [pid = 1104] [serial = 1867] [outer = 0xb8348400]
[task 2017-06-06T06:38:30.978389Z] 06:38:30     INFO - GECKO(1104) | ++DOMWINDOW == 61 (0xb88ce000) [pid = 1104] [serial = 1868] [outer = 0xdc801c00]
[task 2017-06-06T06:38:31.276265Z] 06:38:31     INFO - GECKO(1104) | [Parent 1104] WARNING: 'aRv.Failed()', file /home/worker/workspace/build/src/dom/indexedDB/IDBDatabase.cpp, line 587
[task 2017-06-06T06:38:31.283141Z] 06:38:31     INFO - GECKO(1104) | [Parent 1104] WARNING: 'aRv.Failed()', file /home/worker/workspace/build/src/dom/indexedDB/IDBDatabase.cpp, line 587
[task 2017-06-06T06:38:33.577720Z] 06:38:33     INFO - TEST-INFO | started process screentopng
[task 2017-06-06T06:38:37.277018Z] 06:38:37     INFO - TEST-INFO | screentopng: exit 0
[task 2017-06-06T06:38:37.280151Z] 06:38:37     INFO - Buffered messages logged at 06:37:00
[task 2017-06-06T06:38:37.281474Z] 06:38:37     INFO - Entering test bound sidebar_initial_install
[task 2017-06-06T06:38:37.283098Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is not visible - 
[task 2017-06-06T06:38:37.284986Z] 06:38:37     INFO - Extension loaded
[task 2017-06-06T06:38:37.291313Z] 06:38:37     INFO - Buffered messages logged at 06:37:05
[task 2017-06-06T06:38:37.295597Z] 06:38:37     INFO - Console message: Warning: attempting to write 8638 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.297570Z] 06:38:37     INFO - Buffered messages logged at 06:37:11
[task 2017-06-06T06:38:37.311876Z] 06:38:37     INFO - Console message: Warning: attempting to write 5839 bytes to preference browser.uiCustomization.state. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.321627Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is visible - 
[task 2017-06-06T06:38:37.330734Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar button is in UI - 
[task 2017-06-06T06:38:37.333367Z] 06:38:37     INFO - Buffered messages logged at 06:37:12
[task 2017-06-06T06:38:37.340706Z] 06:38:37     INFO - Console message: Warning: attempting to write 8540 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.346856Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is not visible - 
[task 2017-06-06T06:38:37.348952Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar button is not in UI - 
[task 2017-06-06T06:38:37.363329Z] 06:38:37     INFO - Leaving test bound sidebar_initial_install
[task 2017-06-06T06:38:37.377484Z] 06:38:37     INFO - Entering test bound sidebar_two_sidebar_addons
[task 2017-06-06T06:38:37.385873Z] 06:38:37     INFO - Extension loaded
[task 2017-06-06T06:38:37.393902Z] 06:38:37     INFO - Console message: Warning: attempting to write 5822 bytes to preference browser.uiCustomization.state. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.401232Z] 06:38:37     INFO - Buffered messages logged at 06:37:13
[task 2017-06-06T06:38:37.411850Z] 06:38:37     INFO - Console message: Warning: attempting to write 8638 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.414527Z] 06:38:37     INFO - Buffered messages logged at 06:37:33
[task 2017-06-06T06:38:37.421122Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is visible - 
[task 2017-06-06T06:38:37.428689Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar button is not in UI - 
[task 2017-06-06T06:38:37.436334Z] 06:38:37     INFO - Extension loaded
[task 2017-06-06T06:38:37.442039Z] 06:38:37     INFO - Buffered messages logged at 06:37:35
[task 2017-06-06T06:38:37.453949Z] 06:38:37     INFO - Console message: Warning: attempting to write 8736 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.463615Z] 06:38:37     INFO - Buffered messages logged at 06:37:48
[task 2017-06-06T06:38:37.466988Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is visible - 
[task 2017-06-06T06:38:37.480092Z] 06:38:37     INFO - Buffered messages logged at 06:37:54
[task 2017-06-06T06:38:37.486560Z] 06:38:37     INFO - Console message: Warning: attempting to write 8638 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.489435Z] 06:38:37     INFO - Buffered messages logged at 06:37:56
[task 2017-06-06T06:38:37.491426Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is not visible - 
[task 2017-06-06T06:38:37.501488Z] 06:38:37     INFO - Buffered messages logged at 06:37:57
[task 2017-06-06T06:38:37.505232Z] 06:38:37     INFO - Console message: Warning: attempting to write 8540 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.516242Z] 06:38:37     INFO - Buffered messages logged at 06:37:58
[task 2017-06-06T06:38:37.528011Z] 06:38:37     INFO - Leaving test bound sidebar_two_sidebar_addons
[task 2017-06-06T06:38:37.530611Z] 06:38:37     INFO - Entering test bound sidebar_empty_panel
[task 2017-06-06T06:38:37.535158Z] 06:38:37     INFO - Extension loaded
[task 2017-06-06T06:38:37.548972Z] 06:38:37     INFO - Buffered messages logged at 06:37:59
[task 2017-06-06T06:38:37.553962Z] 06:38:37     INFO - Console message: Warning: attempting to write 8638 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.556861Z] 06:38:37     INFO - Buffered messages logged at 06:38:30
[task 2017-06-06T06:38:37.569745Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | sidebar box is visible in first window - 
[task 2017-06-06T06:38:37.573403Z] 06:38:37     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | unable to set empty panel - 
[task 2017-06-06T06:38:37.580026Z] 06:38:37     INFO - Buffered messages logged at 06:38:32
[task 2017-06-06T06:38:37.591445Z] 06:38:37     INFO - Console message: Warning: attempting to write 8540 bytes to preference extensions.webextensions.uuids. This is bad for general performance and memory usage. Such an amount of data should rather be written to an external file. This preference will not be sent to any content processes.
[task 2017-06-06T06:38:37.597178Z] 06:38:37     INFO - Buffered messages logged at 06:38:33
[task 2017-06-06T06:38:37.601751Z] 06:38:37     INFO - Leaving test bound sidebar_empty_panel
[task 2017-06-06T06:38:37.603649Z] 06:38:37     INFO - Entering test bound cleanup
[task 2017-06-06T06:38:37.611108Z] 06:38:37     INFO - Leaving test bound cleanup
[task 2017-06-06T06:38:37.613789Z] 06:38:37     INFO - Buffered messages finished
[task 2017-06-06T06:38:37.622016Z] 06:38:37     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. - 
[task 2017-06-06T06:38:37.634039Z] 06:38:37     INFO - GECKO(1104) | MEMORY STAT | vsize 1309MB | residentFast 362MB | heapAllocated 135MB
[task 2017-06-06T06:38:37.636283Z] 06:38:37     INFO - TEST-OK | browser/components/extensions/test/browser/browser_ext_sidebarAction.js | took 93491ms
12 failures in 814 pushes (0.015 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 12

Platform breakdown:
* linux32: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1370482&startday=2017-06-12&endday=2017-06-18&tree=all
Comment hidden (mozreview-request)
Comment on attachment 8879169 [details]
Bug 1370482 - use longer timeout for browser_ext_sidebarAction.js,

https://reviewboard.mozilla.org/r/150512/#review155178
Attachment #8879169 - Flags: review?(mdeboer) → review+

Comment 4

a year ago
Pushed by mdeboer@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7af7a8a2e2ba
use longer timeout for browser_ext_sidebarAction.js, r=mikedeboer
Assignee: nobody → gijskruitbosch+bugs
Status: NEW → ASSIGNED
(Assignee)

Updated

a year ago
Keywords: leave-open
(Assignee)

Comment 6

a year ago
0 occurrences since this landed, so going to call this fixed.
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
status-firefox56: --- → fixed
Keywords: leave-open
Resolution: --- → FIXED
Target Milestone: --- → mozilla56
5 failures in 892 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5

Platform breakdown:
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1370482&startday=2017-06-19&endday=2017-06-25&tree=all

Updated

5 months ago
Product: Toolkit → WebExtensions
You need to log in before you can comment on or make changes to this bug.